# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate grep

Name:           rust-%{crate}
Version:        0.2.3
Release:        3%{?dist}
Summary:        Fast line oriented regex searching as a library

# Upstream license specification: Unlicense/MIT
License:        Unlicense or MIT
URL:            https://crates.io/crates/grep
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No SIMD
# * Remove unneeded deps, https://github.com/BurntSushi/ripgrep/pull/1043
Patch0:         grep-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(grep-cli/default) >= 0.1.1 with crate(grep-cli/default) < 0.2.0)
BuildRequires:  (crate(grep-matcher/default) >= 0.1.1 with crate(grep-matcher/default) < 0.2.0)
BuildRequires:  (crate(grep-pcre2/default) >= 0.1.2 with crate(grep-pcre2/default) < 0.2.0)
BuildRequires:  (crate(grep-printer/default) >= 0.1.1 with crate(grep-printer/default) < 0.2.0)
BuildRequires:  (crate(grep-regex/default) >= 0.1.1 with crate(grep-regex/default) < 0.2.0)
BuildRequires:  (crate(grep-searcher/default) >= 0.1.1 with crate(grep-searcher/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(termcolor/default) >= 1.0.0 with crate(termcolor/default) < 2.0.0)
BuildRequires:  (crate(walkdir/default) >= 2.2.2 with crate(walkdir/default) < 3.0.0)
%endif

%global _description \
Fast line oriented regex searching as a library.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license COPYING UNLICENSE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+grep-pcre2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+grep-pcre2-devel %{_description}

This package contains library source intended for building other packages
which use "grep-pcre2" feature of "%{crate}" crate.

%files       -n %{name}+grep-pcre2-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+pcre2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pcre2-devel %{_description}

This package contains library source intended for building other packages
which use "pcre2" feature of "%{crate}" crate.

%files       -n %{name}+pcre2-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-3
- Rebuild

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-2
- Run tests in infrastructure

* Sun Sep 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-3
- Bump regex to 1

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.1.8-2
- bump regex and regex-syntax

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-2
- Rebuild for rust-packaging v5

* Wed Nov 08 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-2
- Port to use rust-packaging

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-1
- Update to 0.1.6

* Sat Feb 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-1
- Initial package
